# $Revision: 1.69 $, $Date: 2012/06/23 18:11:16 $
%define	major_ver	0.16
Summary:	GObject-based language compiler
Summary(pl.UTF-8):	Kompilator języka opartego na bibliotece GObject
Name:		vala
Version:	0.16.1
Release:	1
Epoch:		2
License:	LGPL v2+
Group:		Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/vala/0.16/%{name}-%{version}.tar.xz
# Source0-md5:	a270330532ae7770ca64d9f2faff4a2d
URL:		http://live.gnome.org/Vala
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.11
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Conflicts:	gdk-pixbuf2 < 2.23.3-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vala is a new programming language that aims to bring modern
programming language features to GNOME developers without imposing any
additional runtime requirements and without using a different ABI
compared to applications and libraries written in C.

valac, the Vala compiler, is a self-hosting compiler that translates
Vala source code into C source and header files. It uses the GObject
type system to create classes and interfaces declared in the Vala
source code. It's also planned to generate GIDL files when
gobject-introspection is ready.

The syntax of Vala is similar to C#, modified to better fit the
GObject type system.

%description -l pl.UTF-8
Vala to nowy język programowania, którego celem jest udostępnienie
cech nowoczesnych języków programowania programistom GNOME bez
wymuszania dodatkowych wymagań co do środowiska uruchomieniowego i
używania API innego niż w aplikacjach i bibliotekach napisanych w C.

valac - kompilator języka Vala - to napisany w sobie samym kompilator
tłumaczący kod źródłowy w języku Vala na pliki źródłowe i nagłówkowe w
C. Używa systemu typów GObject do tworzenia klas i interfejsów
zadeklarowanych w kodzie źródłowym w języku Vala. Planowane jest także
generowanie plików GIDL, kiedy system gobject-introspection będzie
gotowy.

Składnia języka Vala jest podobna do C#, zmodyfikowana tak, aby lepiej
pasować do systemu typów GObject.

%package apidocs
Summary:	vala API documentation
Summary(pl.UTF-8):	Dokumentacja API vala
Group:		Documentation
Requires:	devhelp

%description apidocs
vala API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API vala.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-vapigen
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/vala/vapi

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libvala-%{major_ver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvala-%{major_ver}.so.0
%attr(755,root,root) %{_libdir}/libvala-%{major_ver}.so
%{_includedir}/vala-%{major_ver}
%{_pkgconfigdir}/libvala-%{major_ver}.pc
%{_npkgconfigdir}/vapigen-%{major_ver}.pc
%{_npkgconfigdir}/vapigen.pc
%dir %{_datadir}/vala
%{_datadir}/vala/Makefile.vapigen
%dir %{_datadir}/vala/vapi
%dir %{_datadir}/vala-%{major_ver}
%dir %{_datadir}/vala-%{major_ver}/vapi
%{_datadir}/vala-%{major_ver}/vapi/*.vapi
%{_datadir}/vala-%{major_ver}/vapi/*.deps
%{_mandir}/man1/valac.1*
%{_mandir}/man1/valac-%{major_ver}.1*
%dir %{_libdir}/vala-%{major_ver}
%attr(755,root,root) %{_libdir}/vala-%{major_ver}/gen-introspect-%{major_ver}
%{_mandir}/man1/vala-gen-introspect.1*
%{_mandir}/man1/vala-gen-introspect-%{major_ver}.1*
%{_mandir}/man1/vapigen.1*
%{_mandir}/man1/vapigen-%{major_ver}.1*
%{_aclocaldir}/vala.m4
%{_aclocaldir}/vapigen.m4

%files apidocs
%defattr(644,root,root,755)
%{_datadir}/devhelp/books/vala-%{major_ver}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vala.spec,v $
Revision 1.69  2012/06/23 18:11:16  megabajt
- updated to 0.16.1

Revision 1.68  2012/03/26 21:26:46  megabajt
- updated to 0.16.0

Revision 1.67  2012/01/31 19:54:10  megabajt
- updated to 0.14.2

Revision 1.66  2011/12/04 11:04:12  kiesiu
- updated to 0.14.1

Revision 1.65  2011/09/28 21:41:19  wiget
- up to 0.14.0 (merge from DEVEL)

Revision 1.64  2011/09/21 14:34:13  lisu
- rel 2

Revision 1.63  2011/09/21 14:32:27  lisu
- epoch 2

Revision 1.62.2.3  2011/09/17 17:36:51  wiget
- up to 0.14.0

Revision 1.62.2.2  2011/09/07 18:18:37  wiget
- up to 0.13.4

Revision 1.62.2.1  2011/08/23 18:40:14  megabajt
- updated to 0.13.3

Revision 1.62  2011/06/02 21:31:22  kiesiu
- updated to 0.12.1

Revision 1.61  2011/04/05 21:43:27  wiget
- gdk-pixbuf-2.0.vapi requires newer gdk-pixbuf2
- rel. 2

Revision 1.60  2011/04/04 11:52:46  kiesiu
- up to version 0.12.0

Revision 1.59  2011/03/23 23:37:15  wiget
- %files fix

Revision 1.58  2011/03/23 23:33:07  wiget
- fix major_ver
- rel. 2

Revision 1.57  2011/03/23 23:21:05  wiget
- merged 0.11.7 from DEVEL
vala 0.11.x is required for telepathy-glib and shotwell

Revision 1.56  2011/03/12 22:29:53  megabajt
- updated to 0.10.4

Revision 1.55  2011/01/24 13:47:25  caleb
- Up to 0.10.3

Revision 1.54  2011/01/04 12:05:43  caleb
- Up to 0.10.2

Revision 1.53  2010/11/27 11:26:06  megabajt
- back to stable branch (0.10.x)
- epoch 1

Revision 1.52.2.3  2011/03/16 19:41:39  megabajt
- updated to 0.11.7

Revision 1.52.2.2  2011/02/28 16:50:38  wiget
- updated to 0.11.6

Revision 1.52.2.1  2011/02/12 23:26:00  wiget
- updated to 0.11.5

Revision 1.52  2010/11/25 12:33:27  shadzik
- 0.11.2

Revision 1.51  2010/10/31 13:28:51  megabajt
- updated to 0.10.1

Revision 1.50  2010/09/28 19:35:50  patrys
- 0.10.0

Revision 1.48.2.3  2010/09/28 19:28:19  patrys
- 0.10.0

Revision 1.49  2010/09/06 10:18:03  jajcus
- Version: 0.9.8

Revision 1.48.2.2  2010/08/31 12:02:38  patrys
- add old dir for compat
- remove .la

Revision 1.48.2.1  2010/08/31 11:42:42  patrys
- 0.9.7

Revision 1.48  2010/04/21 14:02:45  megabajt
- updated to 0.8.1

Revision 1.47  2010/03/31 23:01:47  megabajt
- updated to 0.8.0

Revision 1.46  2010/02/26 19:50:21  wiget
- 0.7.10

Revision 1.45  2009/09/18 18:01:32  aredridel
- 0.7.6

Revision 1.44  2009/08/03 18:25:13  aredridel
- 0.7.5

Revision 1.43  2009/06/28 21:50:04  patrys
- 0.7.4

Revision 1.42  2009/05/27 00:33:06  aredridel
-0.7.3

Revision 1.41  2009/05/07 17:48:39  aredridel
- 0.7.2

Revision 1.40  2009/04/25 21:14:07  aredridel
- 0.7.1

Revision 1.39  2009/04/07 17:30:48  megabajt
- missing dir
- release 2

Revision 1.38  2009/04/05 22:51:03  patrys
- 0.7.0

Revision 1.37  2009/03/30 22:55:24  aredridel
- 0.6.0

Revision 1.36  2009/03/03 21:44:06  duddits
- up to 0.5.7
- %build: --enable-gen-project obsoleted

Revision 1.35  2009/01/18 19:34:37  aredridel
- 0.5.6

Revision 1.34  2009/01/10 17:46:01  aredridel
- 0.5.5

Revision 1.33  2009/01/08 20:06:15  aredridel
- 0.5.4

Revision 1.32  2008/12/19 01:06:18  aredridel
- 0.5.3

Revision 1.31  2008/12/02 02:27:16  aredridel
- 0.5.2

Revision 1.30  2008/11/09 19:44:21  aredridel
- add patch

Revision 1.29  2008/11/04 02:17:22  aredridel
- 0.5.1

Revision 1.28  2008/10/22 15:35:50  patrys
- 0.4.0

Revision 1.27  2008/08/16 18:07:00  patrys
- 0.3.5

Revision 1.26  2008/06/27 15:59:10  patrys
- 0.3.4

Revision 1.25  2008/06/18 12:15:16  patrys
- more BR

Revision 1.24  2008-06-04 02:42:10  aredridel
- 0.3.3

Revision 1.23  2008-05-13 15:48:11  qboosh
- keep BRs together

Revision 1.22  2008-05-13 09:01:52  beorn
- Missing BR

Revision 1.21  2008-05-13 06:19:20  beorn
- Up to 0.3.2

Revision 1.20  2008-04-22 17:54:22  qboosh
- apidocs with such location R: devhelp not gtk-doc-common

Revision 1.19  2008-04-22 02:47:04  aredridel
- 0.3.1

Revision 1.18  2008-04-09 16:46:32  aredridel
- 0.2.0

Revision 1.17  2008-03-02 20:25:10  aredridel
- 0.1.7

Revision 1.16  2007-12-23 22:31:14  aredridel
- 0.1.5

Revision 1.15  2007/10/11 03:42:16  aredridel
- 0.1.4

Revision 1.14  2007/07/28 16:05:08  aredridel
- 0.1.2

Revision 1.13  2007/07/23 18:14:56  qboosh
- misc packaging fixes

Revision 1.12  2007/07/19 05:41:36  aredridel
- 0.1.1

Revision 1.11  2007/07/09 17:59:16  aredridel
- 0.1.0

Revision 1.10  2007/05/05 20:51:23  aredridel
- 0.0.9

Revision 1.9  2007/03/22 21:46:46  aredridel
- 0.0.8

Revision 1.8  2007/03/05 05:06:32  aredridel
- 0.0.7

Revision 1.7  2007/03/01 21:20:57  aredridel
- 0.0.6

Revision 1.6  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.4  2006/11/03 15:47:45  aredridel
- 0.0.5

Revision 1.3  2006/08/03 03:38:46  aredridel
- 0.0.2

Revision 1.2  2006/07/24 18:21:11  qboosh
- pl

Revision 1.1  2006/07/23 22:30:05  aredridel
- added
